Making do with NT 4.0 Terminal Server

I’ve been using NT 4.0 terminal server as of late, as my copy gives me 10 users and well.. it’s cool!  One thing is the new XP and beyond terminal services clients will NOT work, but you can use the one that shipped with NT 4.0 just fine…

Anyways I’ve worked out this install order to get the most out of the thing…

  1. Install NT 4.0 TSE
  2. Install 4.0 Option pack with SMTP
  3. Install Service Pack 6 for Terminal Server
  4. Installer Windows installer 2.0
  5. Install Internet Explorer 5.5 (for MSJAVA) *skip webfolders.
  6. Install MSN Messenger 5.0 (really should be Escargot by now)
  7. Install Microsoft Office 97
  8. Install Microsoft Bookshelf 98
  9. Install Office 97 sp1
  10. Install Office 97 sp2
  11. Install Internet Explorer 6.0

Optional bits…

 

This is the best way to ‘balance’ the software as most things will NOT play nicely if it’s installed in the ‘wrong’ order.. It’s.. annoying which means format & try AGAIN..  This is the drawback to Terminal Server 4.0 it was such a … public ALPHA.

As it stands right now MSN messenger will not work, something about its reported version.. I’m working on a fix for that…  Also I’ll have to see about a good point to load in Visual C++ 2.1 …

3 thoughts on “Making do with NT 4.0 Terminal Server

  1. Nice! I have Windows NT Workstation 4.0 and use it on my PC (it's an old fart with 96MB of RAM and a Pentium Processor) and it is working fine with me.

    I wish modern Windows had the same character NT 4.0 has.

    Of course don't expect to do anything too modern with NT 4.0 – I can run Opera 10 snapshots on it though 🙂

  2. Personally I think this is the best version of Windows ever made. For those trying to use it, I recommend the Remote Desktop Client from Windows Server 2003 SP1 or newer, which supports widescreen resolutions and is the last one with NT4 support.

    I was curious about the “.NET won’t install” comment here and did some digging. As far as I can tell, .NET 2.0 doesn’t support NT 4 in general, so this comment must be referring to 1.1 or older. I used /T and /C to extract the MSI and looked around for the check, and couldn’t find it: it turns out the check is in the install.exe, so if you extract the MSI and just run that it installs fine.

    Also, for those who like to fight with installers, get Orca from a 2003-or-thereabouts platform SDK. I’ve used this in the past to patch MSIs that have silly version blocks.

    I’m not a heavy user of .NET and 1.x wasn’t that popular to begin with, so I don’t know how much of it works…but it does install.

    • When I worked at a bank, I had access to all these Pentium 90 desktops, so I loaded NT 4 TS onto a dozen or so of these things and sent htem out to every site, and it was GREAT!

      I loaded ciscoworks for windows onto them, along with PPTP servers to build my own VPN backbone, and it was a dream for not only doing remote access, but collection of stats and whatnot. It was super easy to deploy MSDE, and setup a server to pull data from each site, and do snmp stats and graphs. Hours of fun.

      If I were smarter I’d have saved the source and sold it, as ‘modern’ stuff is just as wimpy as we all use the same SNMP data.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.